use std::collections::HashMap;

use serde::{Deserialize, Serialize};

use crate::{identifier::Identifier, text_component::TextComponent};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct TrimMaterial {
    pub asset_name: String,
    pub ingredient: Identifier,
    #[serde(default)]
    pub item_model_index: f32,
    pub override_armor_assets: Option<HashMap<Identifier, String>>,
    pub description: TextComponent,
}
